AutoCAD .NET :: List Layers In ComboBox Dropdown
Mar 4, 2013
Any examples on how to list all the layers of a current drawing and populate a ComboBox on a form with that list. It seems pretty simple, i'm just gonig through the .NET Developer guide now but was hoping there was a quicker solution.
View 4 Replies
ADVERTISEMENT
Feb 20, 2013
I would like show all alignments in a combobox. I want do a application in C#.
Autocad Civil 3D 2014 +SP1
Quad Core Intel i7 3770-cpu 3.40Ghz.
ssd samsung 840 pro 512gb+ssd samsung 840 pro 256 gb+1tb hdd
32gb RAM 1600 Mhz.
nVidia Quadro 2000.
Win 7 Pro 64bit
View 8 Replies
View Related
Dec 21, 2012
I have a form with a combobox and a commandbutton.
All layers in the layermanager must be locked except the active layer chosen in the combobox. I try it with this code but it’s not the right solution.
Private Sub CommandButton1_Click()Dim layer As AcadLayer'check if all layers are lockedIf layer.Lock = False Thenlayer.Lock = True'make the layer selected in the combobox currentThisDrawing.ActiveLayer = ThisDrawing.Layers.Item(ComboBox1.Text)End SubPrivate Sub UserForm_Initialize() Dim layerColl As AcadLayers Dim layer As AcadLayer Dim LayList As String ' all layers locked For Each layer In ThisDrawing.Layers If layer.Lock = False Then layer.Lock = True End IfNext 'fill combobox Set layerColl = ThisDrawing.Layers For Each layer In layerColl ComboBox1.AddItem layer.Name Next End Sub
2. When I choose the for next method to lock all layers (40 layers) it’s very slow.
View 4 Replies
View Related
Sep 9, 2012
I would like to add a drop down list to a block.
Background: We use the same block (symbol) to represent several different part numbers, but would like to select from a drop down list the actual part number. For example, a beacon symbol is the same no matter what color the beacon, but i would like to be able to select a grip and choose red, green, blue, yellow, ect. I don't want it to do anything to the block, but rather just store the property that is set by the user.
View 9 Replies
View Related
Nov 28, 2012
I have created a Textbox with autocomplete (suggest) in my UserControl that is put in an Autodesk.AutoCAD.Windows.PaletteSet. When I move my mouse over the dropdown list with the suggestions from autocomplete the list disappears. This makes it impossible to select a value from the list with the mouse. If I move the mouse cursor anywhere else in the usercontrol except over the dropdown list it stays open. How can this be fixed???
PS! I have added an event handler on textbox.focuslost and it is activated when I move the mouse over the dropdown list, so the textbox loses focus when this happens.
View 2 Replies
View Related
Dec 11, 2012
Is there a way I can write some code, so that in idw, I can choose from two different text for "Description" in BOM table? My work place requires to show material information when it's a fabrication drawing, to show part description in assembly drawing in "Description" column.
At the moment, we just override material information (for example, 40x40x3 RHS) to part description (RHS Spreader). It's not very safe to do that. Most of the times, we just forget to change it.
Autodesk Inventor 2013 SP1.1 64-Bit
Vista Business 64-Bit
E8400, 8GB, ATI FireGL V5600
View 5 Replies
View Related
Oct 29, 2013
Just downloaded Photoshop CC with Photoshop CS6 still installed on my computer. Why working in Bridge I noticed that when right clicking on an image and then the "Open With" link, the only thing showing up is Photoshop CC. It would be nice if CS6 was an option as well. Is there any way to set it so that both are available?
Also, how do I install my Neat Image plug-in in Photoshop CC?
View 3 Replies
View Related
Dec 28, 2008
Since installing CS4, there is a new item in the dropdown list when I
right-click on my desktop
The new item is "Adobe Drive CS4". It has two items showing under it. They
are "Connect to", and "New Project". The "New Project" is greyed out, even
when Photoshop CS4 is running.
View 3 Replies
View Related
Jul 11, 2012
In the properties drop down list for wall type selection, most of the different wall type are not showing. Also my elevation carmera is not showing when i click on a new drawing. In a previous drawing all walls selection type is there and the elevation camera. Only when i start a new drawing when wall type and elevation camera is missing. I check the interface to make sure the boxes are check.
View 1 Replies
View Related
Mar 22, 2010
Is there a way in .net to add the layer description field (viewable in the Layer Properties Manager menu) to the layer dropdown list? Our designers want to see this information without opening the Layer Properties menu.
View 9 Replies
View Related
May 18, 2013
I just installed PS6 and while cleaning up a picture .I created a new layer on top of the one I'm editing and wanted to remove a couple of blemishes. but when I hit J and try to select the 'all layers' option from the drop down menu, it won't allow me… it's stuck on 'current layer' and I can't seem to change that…
View 1 Replies
View Related
Jun 9, 2013
I Want to change the View of viewport according to the Combobox change event. the drawing is updating only after exiting the macro. My aim is to view my 3D object in different views and to modify it.
Here is my code.
Private Sub UserForm_Initialize()
ComboBox1.AddItem "Top"
ComboBox1.AddItem "Left"
ComboBox1.ListIndex = 0
End Sub
Private Sub ComboBox1_Change()
ThisDrawing.SendCommand "-View" & vbCr & ComboBox1.Text & vbCr
ThisDrawing.Regen acActiveViewport
End Sub
View 5 Replies
View Related
Dec 19, 2012
Private Sub UserForm_Initialize() Dim layerColl As AcadLayers Dim entry As AcadLayer Dim LayList As String Set layerColl = ThisDrawing.Layers For Each entry In layerColl ComboBox1.AddItem entry.Name Next End Sub
I have a form with a combobox. That combobox is filled up with all layers in a drawing. (see above)
Now I want to make the layer that I have selected (value) in the combobox the current layer in my drawing.
How can i make it current?
View 2 Replies
View Related
Apr 17, 2014
all the twirly triangle dropdown menu things (what's the official term?) underneath the contents menu of layers. Especially now that I'm working with Convert to Shape Layer functionality I'm wondering what an efficient/shortcut based way to work with these inner menus is. For instance when converting Text to Shape layers - it seems like I'm spending most of my time dealing with twirly triangle management
I don't even know how to search for them: obviously searching for anything "collapse" takes one to a bunch of collapse transformations stuff.
View 4 Replies
View Related
Apr 19, 2012
I am using Autocad 2011 but for some reason suddenly when ever I type layer the layer dialog box comes up but I cant see any layers I reckon it must be some system variable.
View 4 Replies
View Related
Jul 26, 2012
I am trying to set up standards for a small company and want to distribute a handout showing what layers we use and their characteristics. Is there a way to do this or do I just open up ol' Word and type it out? I didn't see anything in earlier threads that address this question.
View 8 Replies
View Related
Jun 26, 2013
I have functions that will freeze or thaw layers in a viewport, but I was wondering how to just check which layers are thawed/visible in a selected viewport.
View 1 Replies
View Related
Aug 1, 2013
In an idw, if I select Parts List, the BOM setting of layers can be switched between First Level and All Levels. Once I select my view, the option grays out and selects First Level. I need my BOM to show All Levels.
What do I do to select All Layers for my drawing?
View 9 Replies
View Related
Nov 7, 2012
I have an Architecture drawing and only the current layer is visible from the pull-down lift. I can only access the other layers by opening the Layer Manager.
View 2 Replies
View Related
Apr 4, 2011
I have a string of 3d solids (cubes if you will) lined up in a row. I have a 3D Polyline starting below each one cube. (each polyline is a different layer name). As the line enters the cube, it then turns left in the center... and goes through the other cubes to its left till it reaches the end. So the left most cube has each line going through it, and the right most cube has only one 3dpolyline. I am looking for a way to create some kind of tangible data I can display, export or extract of what layers are going through cube one if I select it. Same for cube 2, 3, ect...
I have dummied down the example due to having 44 cubes, and not all in a single row, or this question would be an easier answer.
So is there a command, or a lisp routine I can create or manipulate to give layer names that float through a 3D Solid?
View 0 Replies
View Related
May 20, 2013
I watched a tutorial on Youtube about using Edge Animate to allow interactive color changes on an SVG image. In the youtube video he had 3 or 4 color swatches that he would select from to change the colors to. However I have a much bigger color chart I would like to offer and about 18 different groups on the SVG that can change in color. I am hoping to be able to offer a drop-down box of color swatches with a combo box that says the name of the color swatch so that when they have the design the way they want they can copy the color swatch/SVG group name and include in their order.
I have found some different code on the Internet but I don't know how to implement it in Edge Animate. Can you show me an example of how to add a ColorPicker ComboBox where I can add my own color swatches to it? I want the ColorPicker to be something that I can use again and again for every design.
View 5 Replies
View Related
Dec 11, 2013
I want to make a list of layers due to their index (order) in the "layers combo box" in the AutoCAD. I prepared this:
(defun c:ListLayers ( / a b)(setq a(list(cdr(assoc 2(tblnext "layer" T)))))(while(setq b(tblnext "layer")) (setq a(append a(list(cdr(assoc 2 b))))));while);end
But, It's not match with the order of layers.
View 9 Replies
View Related
Sep 20, 2012
Can I create a template with layers/linetypes that I would most often use
View 2 Replies
View Related
Oct 29, 2013
i want clear list of main layers lines weights and colors for residential buildings? (we use stone out wall and normal blocks inside)
I try BS 1192 and ISO but they are misappointed me.
for ex they use
1-ext wall white .5
2- hatch blue .18 !! (not clear color and not light weight)
3- int. wall color: 9 weight: .25
View 3 Replies
View Related
Jun 8, 2011
I just started using 2012. Two problems:
1- Somehow, in my current drawing, everything is layer-locked. There are no Xrefs in this very basic drawing. All layers are unlocked. Yet, any attempt to select any entities results in "x objects were on a locked layer". Again, all layers are unlocked. No Xrefs. No blocks. Just simple lines. All entities appear faded. This happened after viewing a layout in both paper and model spaces. Reviewing the text window shows no strange accidental commands.
2- There is a default set of viewport scales in the status bar at the bottom right. Default scales are all metric. I would like both metric and imperial. I see you can edit which exact scales are in a metric list, and which are in an imperial list. But how do you set what is displayed/available in the status bar button?
View 9 Replies
View Related
Mar 14, 2013
Is there way a to view a list of what Smart Layers are being used by a .PSD? Kinda of like Illustrator's Link palette?
View 2 Replies
View Related
Apr 8, 2011
I have a very complex graphic with many elements and I would like to find a way to hide layers based on a list. In the documentation that there is a way to tell if a layer is hidden, but didn't see anything about a way to actually to control the hide/unhide property. Is this possible?
View 15 Replies
View Related
Mar 12, 2013
I did that some time ago but can't remind now and searching wasn't success.
View 1 Replies
View Related
Oct 5, 2011
I have some blocks (different exit signs) in a drawing. I want to make a table or excel sheet that sums up the number of equal blocks in the drawing. How can i make this?
I want to connect this tabel to excel 2010.
I use AutoCad LT 2012.
View 7 Replies
View Related
Oct 2, 2013
A sample code for creating a dropdown menu for a AutoCAD ribbon toolbar? I can attach buttons and so on to the toolbar, but I cannot make a drop down menu.
View 1 Replies
View Related
Jul 22, 2013
I am currently working on making a template for the whole company that would allow all the divisions to use dropdown text in the title block to pick the division, and then the drafter and the person it was checked by. How to get a dropdown text into mtext. Currently I have it so that one office, the one I am in, can scroll through the divisions and the people who work here, using a combination of macros and fields.
View 8 Replies
View Related